Refills
General Description
The Refills method returns a list of refueling or fuel level decrease events detected within the requested period.
It only returns data for vehicles to which the user has access.
If the list contains at least one vehicle to which the user does not have access, a response with error code 401 will be returned.
This method is subject to Rate Limit restrictions.
⚠️ All requests to this endpoint must include the
api-version=2.0parameter in the URL.
URL:POST https://api.trackgps.ro/api/carriers/refills?api-version=2.0
⚠️ Note: All date and time values sent or returned by this endpoint are in the company’s local time zone.
Request Parameters
{
"carrierId": 0,
"startDate": "2024-09-09T09:42:51.835",
"endDate": "2024-09-09T09:42:51.835"
}- carrierId: The unique ID of the vehicle for which you want to obtain refueling or fuel level decrease events.
- startDate: The start date and time of the period for which events are requested.
- endDate: The end date and time of the period for which events are requested.
Response Structure
{
"payload": [
{
"date": "string",
"event": "string",
"location": "string",
"estimation": 0,
"isPrivate": true
}
],
"correlationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"failureReasons": [
{
"errorCode": "string",
"errorParameters": [
"string"
]
}
],
"isSuccess": true
}Property Descriptions
- payload: List of refueling or fuel level decrease events.
- date: The date and time of the event.
- event: The type of event (refueling or fuel level decrease).
- location: The location where the event occurred.
- estimation: The estimated amount of fuel involved in the event.
- isPrivate: Indicates if the event was performed privately.
- correlationId: Unique ID for correlating the request and response.
- failureReasons: List of failure reasons, if any.
- errorCode: The error code.
- errorParameters: Additional parameters for the error.
- isSuccess: Indicates if the request was processed successfully.
List of Possible Events
FuelStart: Initial fuel levelFueling: RefuelingPossibleFuelTheft: Possible fuel theftTotalRefill: Total refuelingsTotalPossibleTheft: Total possible fuel theftsRemainingFuel: Remaining fuelTotalFuelConsumption: Total fuel consumptionFuelStartSecondarySource: Start of refueling from secondary sourceFuelingSecondarySource: Refueling from secondary sourcePossibleFuelTheftSecondarySource: Possible fuel theft from secondary sourceTotalRefillSecondarySource: Total refuelings from secondary sourceTotalPossibleTheftSecondarySource: Total possible thefts from secondary sourceRemainingFuelSecondarySource: Remaining fuel from secondary sourceTotalFuelConsumptionSecondarySource: Total fuel consumption from secondary source